$ErrorActionPreference = 'Stop';

$packageName  = 'Caprine'
$toolsDir     = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'Caprine-Setup-2.39.0.exe'

$packageArgs = @{
  packageName   = $packageName
  softwareName  = 'Caprine*'
  file          = $fileLocation
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  checksum      = 'DFB72623C8893D07D54B9022CC17D093177FC4A2A2E2CD4507C21FB5723979E80FF8E2B35E368A90C114B8DEF31FC3A36F054E07CBA334BC461ABCE4FC1CFA8C'
  checksumType  = 'sha512'
}

Install-ChocolateyInstallPackage @packageArgs
